Skip to content

Jobs Api

immichpy.client.generated.api.jobs_api.JobsApi

JobsApi(api_client=None)

NOTE: This class is auto generated by OpenAPI Generator Ref: https://openapi-generator.tech

Do not edit the class manually.

Source code in immichpy/client/generated/api/jobs_api.py
39
40
41
42
def __init__(self, api_client=None) -> None:
    if api_client is None:
        api_client = ApiClient.get_default()
    self.api_client = api_client

create_job async

create_job(job_create_dto: JobCreateDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> None

Create a manual job

Run a specific job. Most jobs are queued automatically, but this endpoint allows for manual creation of a handful of jobs, including various cleanup tasks, as well as creating a new database backup.

Parameters:

Name Type Description Default
job_create_dto JobCreateDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
None

Returns the result object.

Source code in immichpy/client/generated/api/jobs_api.py
 44
 45
 46
 47
 48
 49
 50
 51
 52
 53
 54
 55
 56
 57
 58
 59
 60
 61
 62
 63
 64
 65
 66
 67
 68
 69
 70
 71
 72
 73
 74
 75
 76
 77
 78
 79
 80
 81
 82
 83
 84
 85
 86
 87
 88
 89
 90
 91
 92
 93
 94
 95
 96
 97
 98
 99
100
101
102
103
104
105
106
@validate_call
async def create_job(
    self,
    job_create_dto: JobCreateDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> None:
    """Create a manual job

    Run a specific job. Most jobs are queued automatically, but this endpoint allows for manual creation of a handful of jobs, including various cleanup tasks, as well as creating a new database backup.

    :param job_create_dto: (required)
    :type job_create_dto: JobCreateDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._create_job_serialize(
        job_create_dto=job_create_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "204": None,
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    ).data

create_job_with_http_info async

create_job_with_http_info(job_create_dto: JobCreateDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> ApiResponse[None]

Create a manual job

Run a specific job. Most jobs are queued automatically, but this endpoint allows for manual creation of a handful of jobs, including various cleanup tasks, as well as creating a new database backup.

Parameters:

Name Type Description Default
job_create_dto JobCreateDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
ApiResponse[None]

Returns the result object.

Source code in immichpy/client/generated/api/jobs_api.py
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
@validate_call
async def create_job_with_http_info(
    self,
    job_create_dto: JobCreateDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> ApiResponse[None]:
    """Create a manual job

    Run a specific job. Most jobs are queued automatically, but this endpoint allows for manual creation of a handful of jobs, including various cleanup tasks, as well as creating a new database backup.

    :param job_create_dto: (required)
    :type job_create_dto: JobCreateDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._create_job_serialize(
        job_create_dto=job_create_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "204": None,
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    )

create_job_without_preload_content async

create_job_without_preload_content(job_create_dto: JobCreateDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> RESTResponseType

Create a manual job

Run a specific job. Most jobs are queued automatically, but this endpoint allows for manual creation of a handful of jobs, including various cleanup tasks, as well as creating a new database backup.

Parameters:

Name Type Description Default
job_create_dto JobCreateDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
RESTResponseType

Returns the result object.

Source code in immichpy/client/generated/api/jobs_api.py
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
@validate_call
async def create_job_without_preload_content(
    self,
    job_create_dto: JobCreateDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> RESTResponseType:
    """Create a manual job

    Run a specific job. Most jobs are queued automatically, but this endpoint allows for manual creation of a handful of jobs, including various cleanup tasks, as well as creating a new database backup.

    :param job_create_dto: (required)
    :type job_create_dto: JobCreateDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._create_job_serialize(
        job_create_dto=job_create_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "204": None,
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    return response_data.response

get_queues_legacy async

get_queues_legacy(_request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> QueuesResponseLegacyDto

(Deprecated) Retrieve queue counts and status

Retrieve the counts of the current queue, as well as the current status.

Parameters:

Name Type Description Default
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
QueuesResponseLegacyDto

Returns the result object.

Source code in immichpy/client/generated/api/jobs_api.py
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
@validate_call
async def get_queues_legacy(
    self,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> QueuesResponseLegacyDto:
    """(Deprecated) Retrieve queue counts and status

    Retrieve the counts of the current queue, as well as the current status.

    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("GET /jobs is deprecated.", DeprecationWarning)

    _param = self._get_queues_legacy_serialize(
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "QueuesResponseLegacyDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    ).data

get_queues_legacy_with_http_info async

get_queues_legacy_with_http_info(_request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> ApiResponse[QueuesResponseLegacyDto]

(Deprecated) Retrieve queue counts and status

Retrieve the counts of the current queue, as well as the current status.

Parameters:

Name Type Description Default
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
ApiResponse[QueuesResponseLegacyDto]

Returns the result object.

Source code in immichpy/client/generated/api/jobs_api.py
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
@validate_call
async def get_queues_legacy_with_http_info(
    self,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> ApiResponse[QueuesResponseLegacyDto]:
    """(Deprecated) Retrieve queue counts and status

    Retrieve the counts of the current queue, as well as the current status.

    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("GET /jobs is deprecated.", DeprecationWarning)

    _param = self._get_queues_legacy_serialize(
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "QueuesResponseLegacyDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    )

get_queues_legacy_without_preload_content async

get_queues_legacy_without_preload_content(_request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> RESTResponseType

(Deprecated) Retrieve queue counts and status

Retrieve the counts of the current queue, as well as the current status.

Parameters:

Name Type Description Default
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
RESTResponseType

Returns the result object.

Source code in immichpy/client/generated/api/jobs_api.py
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
@validate_call
async def get_queues_legacy_without_preload_content(
    self,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> RESTResponseType:
    """(Deprecated) Retrieve queue counts and status

    Retrieve the counts of the current queue, as well as the current status.

    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("GET /jobs is deprecated.", DeprecationWarning)

    _param = self._get_queues_legacy_serialize(
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "QueuesResponseLegacyDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    return response_data.response

run_queue_command_legacy async

run_queue_command_legacy(name: Annotated[QueueName, Field(description='Queue name')], queue_command_dto: QueueCommandDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> QueueResponseLegacyDto

(Deprecated) Run jobs

Queue all assets for a specific job type. Defaults to only queueing assets that have not yet been processed, but the force command can be used to re-process all assets.

Parameters:

Name Type Description Default
name Annotated[QueueName, Field(description='Queue name')]

Queue name (required)

required
queue_command_dto QueueCommandDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
QueueResponseLegacyDto

Returns the result object.

Source code in immichpy/client/generated/api/jobs_api.py
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
@validate_call
async def run_queue_command_legacy(
    self,
    name: Annotated[QueueName, Field(description="Queue name")],
    queue_command_dto: QueueCommandDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> QueueResponseLegacyDto:
    """(Deprecated) Run jobs

    Queue all assets for a specific job type. Defaults to only queueing assets that have not yet been processed, but the force command can be used to re-process all assets.

    :param name: Queue name (required)
    :type name: QueueName
    :param queue_command_dto: (required)
    :type queue_command_dto: QueueCommandDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("PUT /jobs/{name} is deprecated.", DeprecationWarning)

    _param = self._run_queue_command_legacy_serialize(
        name=name,
        queue_command_dto=queue_command_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "QueueResponseLegacyDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    ).data

run_queue_command_legacy_with_http_info async

run_queue_command_legacy_with_http_info(name: Annotated[QueueName, Field(description='Queue name')], queue_command_dto: QueueCommandDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> ApiResponse[QueueResponseLegacyDto]

(Deprecated) Run jobs

Queue all assets for a specific job type. Defaults to only queueing assets that have not yet been processed, but the force command can be used to re-process all assets.

Parameters:

Name Type Description Default
name Annotated[QueueName, Field(description='Queue name')]

Queue name (required)

required
queue_command_dto QueueCommandDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
ApiResponse[QueueResponseLegacyDto]

Returns the result object.

Source code in immichpy/client/generated/api/jobs_api.py
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
630
631
632
633
634
635
636
637
638
639
640
641
642
643
644
645
646
647
648
649
650
651
652
653
654
655
656
@validate_call
async def run_queue_command_legacy_with_http_info(
    self,
    name: Annotated[QueueName, Field(description="Queue name")],
    queue_command_dto: QueueCommandDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> ApiResponse[QueueResponseLegacyDto]:
    """(Deprecated) Run jobs

    Queue all assets for a specific job type. Defaults to only queueing assets that have not yet been processed, but the force command can be used to re-process all assets.

    :param name: Queue name (required)
    :type name: QueueName
    :param queue_command_dto: (required)
    :type queue_command_dto: QueueCommandDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("PUT /jobs/{name} is deprecated.", DeprecationWarning)

    _param = self._run_queue_command_legacy_serialize(
        name=name,
        queue_command_dto=queue_command_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "QueueResponseLegacyDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    )

run_queue_command_legacy_without_preload_content async

run_queue_command_legacy_without_preload_content(name: Annotated[QueueName, Field(description='Queue name')], queue_command_dto: QueueCommandDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> RESTResponseType

(Deprecated) Run jobs

Queue all assets for a specific job type. Defaults to only queueing assets that have not yet been processed, but the force command can be used to re-process all assets.

Parameters:

Name Type Description Default
name Annotated[QueueName, Field(description='Queue name')]

Queue name (required)

required
queue_command_dto QueueCommandDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
RESTResponseType

Returns the result object.

Source code in immichpy/client/generated/api/jobs_api.py
658
659
660
661
662
663
664
665
666
667
668
669
670
671
672
673
674
675
676
677
678
679
680
681
682
683
684
685
686
687
688
689
690
691
692
693
694
695
696
697
698
699
700
701
702
703
704
705
706
707
708
709
710
711
712
713
714
715
716
717
718
719
720
721
@validate_call
async def run_queue_command_legacy_without_preload_content(
    self,
    name: Annotated[QueueName, Field(description="Queue name")],
    queue_command_dto: QueueCommandDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> RESTResponseType:
    """(Deprecated) Run jobs

    Queue all assets for a specific job type. Defaults to only queueing assets that have not yet been processed, but the force command can be used to re-process all assets.

    :param name: Queue name (required)
    :type name: QueueName
    :param queue_command_dto: (required)
    :type queue_command_dto: QueueCommandDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("PUT /jobs/{name} is deprecated.", DeprecationWarning)

    _param = self._run_queue_command_legacy_serialize(
        name=name,
        queue_command_dto=queue_command_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "QueueResponseLegacyDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    return response_data.response